Summary:	pump.io social network client
Name:		dianara
Version:	1.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/News
URL:		http://jancoding.wordpress.com/dianara/
Source0:	http://qt-apps.org/CONTENT/content-files/148103-dianara-v%{version}.tar.gz
BuildRequires:	libqt4-devel
BuildRequires:	qjson-devel
BuildRequires:	libqoauth-devel
BuildRequires:	imagemagick
Requires:	qt4-common
Requires:	qca2-plugin-openssl

%description
Dianara is a pump.io client, a desktop application for GNU/linux
that allows users to manage their Pump.io social networking
accounts without the need to use a web browser.

%prep
%setup -qn %{name}-v%{version}

%build
%qmake_qt4
%make

%install
%define apps 	%{_datadir}/applications/
%define pixmaps %{_datadir}/pixmaps/
%define locale	%{_datadir}/%{name}/locale/

rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}/
cp -p %{name} %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{apps}
cp -p %{name}.desktop %{buildroot}%{apps}

mkdir -p %{buildroot}%{pixmaps}
cp -p icon/64x64/%{name}.png %{buildroot}%{pixmaps}%{name}.png

mkdir -p %{buildroot}%{locale}
cp -p translations/*.qm %{buildroot}%{locale}

%files
%doc CHANGELOG LICENSE README INSTALL BUGS TODO
%{_bindir}/%{name}
%{apps}%{name}.desktop
%{pixmaps}%{name}.png
%{locale}*.qm



%changelog
* Tue Oct 29 2013 filipesaraiva <filipesaraiva> 1.0-1.mga4
+ Revision: 547857
- Dianara updated for 1.0 version;
- Removed patch0 (the patch was merged in upstream)

* Sat Oct 19 2013 umeabot <umeabot> 0.9-7.mga4
+ Revision: 531954
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 wally <wally> 0.9-6.mga4
+ Revision: 466040
- drop unneeded explicit lib requires
- use %%qmake_qt4 macro to build with our build time flags

* Tue Aug 13 2013 filipesaraiva <filipesaraiva> 0.9-5.mga4
+ Revision: 466013
- Fixed libqoauth1 requires

* Tue Aug 13 2013 filipesaraiva <filipesaraiva> 0.9-4.mga4
+ Revision: 466002
- Fix libqoauth requires

* Mon Aug 12 2013 filipesaraiva <filipesaraiva> 0.9-3.mga4
+ Revision: 465923
- Fixed qoauth requires

* Mon Aug 12 2013 filipesaraiva <filipesaraiva> 0.9-2.mga4
+ Revision: 465861
- Fixed requires to qjson

* Mon Aug 12 2013 filipesaraiva <filipesaraiva> 0.9-1.mga4
+ Revision: 465730
- Developed patch to fix error in dianara.desktop
- Fixed BuildRequires from libqjson-devel to qjson-devel
- Fixed BuildRequires from lib64qjson to libqjson-devel
- imported package dianara

